Skip to main content
GET
/
conversations
/
custom-channels
/
2026-03
/
{channelId}
/
channel-accounts
/
{channelAccountId}
Get a channel account by id
curl --request GET \
  --url https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/channel-accounts/{channelAccountId} \
  --header 'Authorization: Bearer <token>'
{
  "active": true,
  "archived": true,
  "authorized": true,
  "channelId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "inboxId": "<string>",
  "name": "<string>",
  "archivedAt": "2023-11-07T05:31:56Z",
  "deliveryIdentifier": {
    "type": "CHANNEL_SPECIFIC_OPAQUE_ID",
    "value": "<string>"
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

channelAccountId
integer<int64>
required
channelId
integer<int32>
required

Query Parameters

archived
boolean
default:false

Whether to return only results that have been archived.

Response

successful operation

active
boolean
required
archived
boolean
required
authorized
boolean
required
channelId
string
required
createdAt
string<date-time>
required
id
string
required
inboxId
string
required
name
string
required
archivedAt
string<date-time>
deliveryIdentifier
object
Last modified on March 30, 2026